Subject: Re: [PATCH RFC v2 08/19] rebase -i: Root commits are replayed with an unnecessary option

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jul 2014 09:52:12 -0700

Fabian Ruch <[email-masked]> writes:

> It makes the next patch easier to understand because the finalising
> command line "git commit --allow-empty --amend --no-post-rewrite -n
> --no-edit" seems to be simply moved to the end of do_pick. Substituting
> --no-edit for -C there would make that log message overly long ...

And the reason why the same "-C $1" is not used and "--no-edit" is used
in the final version that is moved to the end of do_pick is...?